Mail API reference

Mail API · Contacts

get/v1/workspaces/{workspace_id}/contacts/{contact}/topicsAuth

List a contact's topic subscriptions

Every topic of the workspace, with the contact's own choice and whether a topic send would reach it now (and why).

Path parameters

workspace_id*string · uuid

Id of the workspace.

contact*string

The contact id, or its email address (URL-encoded).

Response · 200

contact_id*string · uuid

The contact these subscriptions belong to.

data*array

Every topic of the workspace with this contact's subscription to it.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/contacts/{contact}/topics
Authorization: Bearer YOUR_TOKEN

Response

{
  "contact_id": "00000000-0000-0000-0000-000000000000",
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "string",
      "description": "string",
      "default_subscription": {},
      "visibility": {},
      "subscription": {},
      "subscribed": false,
      "reason": {}
    }
  ]
}